<template>
  <button :type="btnType" class="btn" @click="$emit('clickBtn')">
    {{ btnName }}
    <svg
      class="btn__arrow-right"
      xmlns="http://www.w3.org/2000/svg"
      width="21"
      height="19"
      viewBox="0 0 21 17"
      fill="none"
    >
      <path
        fill-rule="evenodd"
        clip-rule="evenodd"
        d="M12.7239 1.09112C12.2786 0.764522 11.6528 0.860799 11.3262 1.30616C10.9996 1.75153 11.0958 2.37733 11.5412 2.70393L16.0358 5.99996H1C0.447715 5.99996 0 6.44767 0 6.99996C0 7.55224 0.447715 7.99996 1 7.99996H16.0358L11.5412 11.296C11.0958 11.6226 10.9996 12.2484 11.3262 12.6937C11.6528 13.1391 12.2786 13.2354 12.7239 12.9088L19.6716 7.81381C19.678 7.80923 19.6843 7.80458 19.6906 7.79986L20.7814 6.99995L19.6902 6.19969C19.6842 6.19521 19.6782 6.1908 19.6721 6.18645L12.7239 1.09112Z"
      />
    </svg>
  </button>
</template>

<script>
export default {
  props: {
    btnName: {
      type: String,
      required: true,
    },
    btnType: {
      type: String,
      required: true,
    },
  },
}
</script>

<style lang="scss" scoped>
@import 'UiButton.scss';
</style>
